Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssLinkedPartition

All Superinterfaces:
  IEssBaseObject, IEssLinkedObject

public interface IEssLinkedPartition
extends IEssLinkedObject

The IEssLinkedPartition is a linked partition.

Nested Class Summary

Nested classes inherited from class com.essbase.api.dataquery.IEssLinkedObject
`IEssLinkedObject.EEssLinkedObjectType`

Method Summary
`java.lang.String` | `getCubeName()` Gets the cube name.
`java.lang.String` | `getOlapApplicationName()` Gets the olap application name.
`java.lang.String` | `getOlapServerName()` Gets the olap server name.
`java.lang.String` | `getPassword()` Gets the password.
`java.lang.String` | `getUserName()` Gets the user name.
`IEssCubeView` | `openCubeView(java.lang.String name)` Opens a cube view to the linked partition.

Methods inherited from interface com.essbase.api.dataquery.IEssLinkedObject
`getCreatedBy, getDescription, getId, getLastUpdateTime, getMemberCombination, getObject, getObject, getObjectName, getType, setDescription, setObjectName, updatePropertyValues`

Method Detail

### getUserName

    public java.lang.String getUserName()
                                 throws EssException

  Gets the user name.

  Returns:
    The user name.
  Throws:
    `EssException` - if an error occurs.

### getPassword

    public java.lang.String getPassword()
                                 throws EssException

  Gets the password.

  Returns:
    The password.
  Throws:
    `EssException` - if an error occurs.

### getOlapServerName

    public java.lang.String getOlapServerName()
                                       throws EssException

  Gets the olap server name.

  Returns:
    The olap server name.
  Throws:
    `EssException` - if an error occurs.

### getOlapApplicationName

    public java.lang.String getOlapApplicationName()
                                            throws EssException

  Gets the olap application name.

  Returns:
    The olap application name.
  Throws:
    `EssException` - if an error occurs.

### getCubeName

    public java.lang.String getCubeName()
                                 throws EssException

  Gets the cube name.

  Returns:
    The cube name.
  Throws:
    `EssException` - if an error occurs.

### openCubeView

    public IEssCubeView openCubeView(java.lang.String name)
                              throws EssException

  Opens a cube view to the linked partition.

  Parameters:
    `name` - The cube view name.
  Returns:
    The cube view.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD